Package org.codehaus.groovy.reflection.stdclasses

## Class BigDecimalCachedClass

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass
  - - org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
    - - org.codehaus.groovy.reflection.stdclasses.DoubleCachedClass
      - - org.codehaus.groovy.reflection.stdclasses.BigDecimalCachedClass

-     public class BigDecimalCachedClass
      extends DoubleCachedClass

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

      `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

      `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BigDecimalCachedClass​(java.lang.Class klazz, ClassInfo classInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `coerceArgument​(java.lang.Object argument)` |
    `boolean` | `isDirectlyAssignable​(java.lang.Object argument)` |

    - ### Methods inherited from class org.codehaus.groovy.reflection.stdclasses.DoubleCachedClass

      `isAssignableFrom`

    - ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

      `addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalCachedClass

          public BigDecimalCachedClass​(java.lang.Class klazz,
                                       ClassInfo classInfo)

  - ### Method Detail

    - #### isDirectlyAssignable

          public boolean isDirectlyAssignable​(java.lang.Object argument)

      Overrides:
        `isDirectlyAssignable` in class `DoubleCachedClass`

    - #### coerceArgument

          public java.lang.Object coerceArgument​(java.lang.Object argument)

      Overrides:
        `coerceArgument` in class `DoubleCachedClass`